/*
	Crossing
	Copyright (C) 2007 Michal Vaner (michal.vaner@kdemail.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	he Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


#ifndef CROSS_H
#define CROSS_H

#include <QMainWindow>

#include "ui_cross.h"

class Crossget;
class Indexer;

//Main window
class Cross : public QMainWindow, private Ui::Cross {
	Q_OBJECT;
	private:
		Crossget *crossget;
		void showErr(const QString &msg);
		Indexer *indexer;
		void showHelp(const QString &page);
	public:
		Cross();
	private slots:
		void on_openAc_triggered();
		void on_startAc_triggered();
		void on_pauseAc_triggered();
		void on_uguideAc_triggered();
		void on_stopAc_triggered();
		void on_mguideAc_triggered();
		void updateSpeed();
		void updateTraffic();
};

#endif//CROSS_H

