/*
	Crossing
	Copyright (C) 2007 Michal Vaner (michal.vaner@kdemail.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	he Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef CROSS_GET_H
#define CROSS_GET_H

#include <QWidget>
#include <QPixmap>

class Indexer;

//The crossing widget
class Crossget : public QWidget {
	Q_OBJECT;
	private:
		QPixmap pixmap;
		Indexer *indexer;
		bool mDrawStruct;
	public:
		Crossget(QWidget *parent);
		~Crossget();
		//Sets the bacground and resets the crossing
		void setBackground(const QPixmap &pixmap);
		void insertIndexer(Indexer *indexer);
		bool drawStruct() const { return mDrawStruct; }
	public slots:
		void setDrawStruct(bool value);
	protected:
		virtual void paintEvent(QPaintEvent *event);
};

#endif//CROSS_GET_H
