/*
	Crossing
	Copyright (C) 2007 Michal Vaner (michal.vaner@kdemail.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	he Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef LINE_H
#define LINE_H

#include "indexer.h"

#include <QString>
#include <QHash>

class Point;
class QDomElement;
class Vehicle;

class Line : public Indexable {
	private:
		QString mId;
		Point *mDest;
		Point *mSrc;
		double mXInc, mYInc;
		double mAngle;
		double mLength;
		QList< ::Vehicle *> ongoing;
	public:
		Line(const QDomElement &node, const QHash<QString, Point *> &points, Indexer &indexer);
		virtual ~Line();
		const QString id() const { return mId; }
		Point *dest() { return mDest; }
		const Point *dest() const { return mDest; }
		Point *src() { return mSrc; }
		const Point *src() const { return mSrc; }
		void enter(::Vehicle *vehicle);
		void leave();
		double xInc() const { return -mXInc; }
		double yInc() const { return -mYInc; }
		double angle() const { return mAngle; }
		double length() const { return mLength; }
		void clearOngoings();
};

#endif
