/*
	Crossing
	Copyright (C) 2007 Michal Vaner (michal.vaner@kdemail.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	he Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


#include "mapobj.h"
#include "globals.h"
#include "load.h"

#include <QApplication>

MapObject::MapObject(const QPixmap &pixmap, const QDomElement &node) :
	Indexable(Indexable::Object, getIndex(node, QCoreApplication::translate("xml_errors", "Invalid map object level"))),
	mPixmap(pixmap)
{
	bool ok1, ok2, ok3;
	mX = node.attribute("x").toInt(&ok1);
	mY = node.attribute("y").toInt(&ok2);
	mRot = node.attribute("rot", "0").toInt(&ok3);
	if(!ok1 || !ok2 || !ok3)
		throw XMLLoadDataE(QCoreApplication::translate("xml_errors", "Invalid number in object position"));
}
